 /* Include file etOrder.i -- temp-table for Order DataSet */
 
 DEFINE TEMP-TABLE eOrder no-undo BEFORE-TABLE eOrderBefore
   FIELD Ordernum AS INTEGER LABEL "Order Num" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD CustNum AS INTEGER LABEL "Cust Num" FORMAT ">>>>9" INITIAL "0"
   FIELD OrderDate AS DATE LABEL "Ordered" FORMAT "99/99/99" INITIAL "TODAY"
   FIELD ShipDate AS DATE LABEL "Shipped" FORMAT "99/99/9999"
   FIELD PromiseDate AS DATE LABEL "Promised" FORMAT "99/99/99"
   FIELD Carrier AS CHARACTER LABEL "Carrier" FORMAT "x(25)"
   FIELD Instructions AS CHARACTER LABEL "Instructions" FORMAT "x(50)"
   FIELD PO AS CHARACTER LABEL "PO" FORMAT "x(20)"
   FIELD Terms AS CHARACTER LABEL "Terms" FORMAT "x(20)" INITIAL "Net30"
   FIELD SalesRep AS CHARACTER LABEL "Sales Rep" FORMAT "x(4)"
   FIELD BillToID AS INTEGER LABEL "Bill To ID" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD ShipToID AS INTEGER LABEL "Ship To ID" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD OrderStatus AS CHARACTER LABEL "Order Status" FORMAT "x(20)" INITIAL "Ordered"
   FIELD WarehouseNum AS INTEGER LABEL "Warehouse Num" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD Creditcard AS CHARACTER LABEL "Credit Card" FORMAT "x(20)" INITIAL "Visa"
   FIELD CustName AS CHARACTER FORMAT "x(30)"
   FIELD RepName  AS CHARACTER FORMAT "x(30)"
   FIELD OrderTotal AS DECIMAL FORMAT ">>>>>9.99"

     INDEX OrderNum IS PRIMARY UNIQUE 
        Ordernum 
      . 
