/* Include file etOrderline.i */
  DEFINE TEMP-TABLE eOrderLine no-undo BEFORE-TABLE eOrderLineBefore
   FIELD Ordernum AS INTEGER LABEL "Order Num" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD Linenum AS INTEGER LABEL "Line Num" FORMAT ">>9" INITIAL "0"
   FIELD Itemnum AS INTEGER LABEL "Item Num" FORMAT "zzzzzzzzz9" INITIAL "0"
   FIELD Price AS DECIMAL LABEL "Price" FORMAT "->,>>>,>>9.99" INITIAL "0" DECIMALS 2
   FIELD Qty AS INTEGER LABEL "Qty" FORMAT "->>>>9" INITIAL "0"
   FIELD Discount AS INTEGER LABEL "Discount" FORMAT ">>9%" INITIAL "0"
   FIELD ExtendedPrice AS DECIMAL LABEL "Extended Price" FORMAT "->>>,>>9.99" INITIAL "0" DECIMALS 2
   FIELD OrderLineStatus AS CHARACTER LABEL "Order Line Status" FORMAT "x(20)" INITIAL "Ordered"
VIEW-AS COMBO-BOX
  LIST-ITEMS "Ordered","Back Ordered","Shipped"
   
      INDEX orderline IS PRIMARY UNIQUE 
        Ordernum
        Linenum 
      
      . 
