&ANALYZE-SUSPEND _VERSION-NUMBER AB_v10r12 GUI ADM2
&ANALYZE-RESUME
/* Connected Databases 
*/
&Scoped-define WINDOW-NAME CURRENT-WINDOW
{adecomm/appserv.i}
DEFINE VARIABLE h_asbroker1                AS HANDLE          NO-UNDO.
DEFINE VARIABLE h_aslocal                  AS HANDLE          NO-UNDO.
DEFINE VARIABLE h_astra                    AS HANDLE          NO-UNDO.
DEFINE VARIABLE h_jmsbroker                AS HANDLE          NO-UNDO.
DEFINE VARIABLE h_jmsitem                  AS HANDLE          NO-UNDO.
DEFINE VARIABLE h_sonicMQ1                 AS HANDLE          NO-UNDO.


/* Temp-Table and Buffer definitions                                    */
{schema\dsCustomer.i}



&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS vTableWin 
/*************************************************************/
/* Copyright (c) 1984-2005 by Progress Software Corporation  */
/*                                                           */
/* All rights reserved.  No part of this program or document */
/* may be  reproduced in  any form  or by  any means without */
/* permission in writing from PROGRESS Software Corporation. */
/*************************************************************/
/*------------------------------------------------------------------------

  File:

  Description: from viewer.w - Template for SmartDataViewer objects

  Input Parameters:
      <none>

  Output Parameters:
      <none>

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/

/* Create an unnamed pool to store all the widgets created 
     by this procedure. This is a good default which assures
     that this procedure's triggers and internal procedures 
     will execute in this procedure's storage, and that proper
     cleanup will occur on deletion of the procedure. */

CREATE WIDGET-POOL.

/* ***************************  Definitions  ************************** */

/* Parameters Definitions ---                                           */

/* Local Variable Definitions ---                                       */

{src/adm2/widgetprto.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE SmartDataViewer
&Scoped-define DB-AWARE no

&Scoped-define ADM-CONTAINER FRAME

&Scoped-define ADM-SUPPORTED-LINKS Data-Target,Update-Source,TableIO-Target,GroupAssign-Source,GroupAssign-Target

/* Name of designated FRAME-NAME and/or first browse and/or first query */
&Scoped-define FRAME-NAME F-Main

/* Standard List Definitions                                            */
&Scoped-Define ENABLED-FIELDS eCustomer.CustNum eCustomer.Name ~
eCustomer.Country eCustomer.Address2 eCustomer.Address eCustomer.PostalCode ~
eCustomer.State eCustomer.City eCustomer.Contact eCustomer.Phone ~
eCustomer.Fax eCustomer.EmailAddress eCustomer.CreditLimit ~
eCustomer.Balance eCustomer.Terms eCustomer.Discount 
&Scoped-define ENABLED-TABLES eCustomer
&Scoped-define FIRST-ENABLED-TABLE eCustomer
&Scoped-Define DISPLAYED-FIELDS eCustomer.CustNum eCustomer.Name ~
eCustomer.Country eCustomer.Address2 eCustomer.Address eCustomer.PostalCode ~
eCustomer.State eCustomer.City eCustomer.Contact eCustomer.Phone ~
eCustomer.Fax eCustomer.EmailAddress eSalesrep.SalesRep eSalesrep.Region ~
eCustomer.CreditLimit eCustomer.Balance eCustomer.Terms eCustomer.Discount 
&Scoped-define DISPLAYED-TABLES eCustomer eSalesrep
&Scoped-define FIRST-DISPLAYED-TABLE eCustomer
&Scoped-define SECOND-DISPLAYED-TABLE eSalesrep


/* Custom List Definitions                                              */
/* ADM-ASSIGN-FIELDS,List-2,List-3,List-4,List-5,List-6                 */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* ***********************  Control Definitions  ********************** */


/* Definitions of handles for SmartObjects                              */
DEFINE VARIABLE h_dyndataview AS HANDLE NO-UNDO.
DEFINE VARIABLE h_dynselect AS HANDLE NO-UNDO.

/* Definitions of the field level widgets                               */

/* ************************  Frame Definitions  *********************** */

DEFINE FRAME F-Main
     eCustomer.CustNum AT ROW 1 COL 14 COLON-ALIGNED WIDGET-ID 18
          VIEW-AS FILL-IN 
          SIZE 9 BY 1
     eCustomer.Name AT ROW 2.14 COL 14 COLON-ALIGNED WIDGET-ID 26
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.Country AT ROW 3.29 COL 14 COLON-ALIGNED WIDGET-ID 14
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.Address2 AT ROW 4.43 COL 14 COLON-ALIGNED WIDGET-ID 4
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.Address AT ROW 5.57 COL 14 COLON-ALIGNED WIDGET-ID 2
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.PostalCode AT ROW 6.71 COL 14 COLON-ALIGNED WIDGET-ID 30
          VIEW-AS FILL-IN 
          SIZE 15.6 BY 1
     eCustomer.State AT ROW 7.86 COL 14 COLON-ALIGNED WIDGET-ID 40
          VIEW-AS FILL-IN 
          SIZE 22 BY 1
     eCustomer.City AT ROW 9 COL 14 COLON-ALIGNED WIDGET-ID 8
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.Contact AT ROW 10.19 COL 14 COLON-ALIGNED WIDGET-ID 12
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eCustomer.Phone AT ROW 11.33 COL 14 COLON-ALIGNED WIDGET-ID 28
          VIEW-AS FILL-IN 
          SIZE 22 BY 1
     eCustomer.Fax AT ROW 11.33 COL 50 COLON-ALIGNED WIDGET-ID 24
          VIEW-AS FILL-IN 
          SIZE 22 BY 1
     eCustomer.EmailAddress AT ROW 12.52 COL 14 COLON-ALIGNED WIDGET-ID 22
          VIEW-AS FILL-IN 
          SIZE 58 BY 1
     eSalesrep.SalesRep AT ROW 13.71 COL 44.8 COLON-ALIGNED NO-LABEL WIDGET-ID 48
          VIEW-AS FILL-IN 
          SIZE 9.6 BY 1
          BGCOLOR 15 
     eSalesrep.Region AT ROW 13.71 COL 55 COLON-ALIGNED NO-LABEL WIDGET-ID 44
          VIEW-AS FILL-IN 
          SIZE 17 BY 1
          BGCOLOR 15 
     eCustomer.CreditLimit AT ROW 14.86 COL 14 COLON-ALIGNED WIDGET-ID 16
          VIEW-AS FILL-IN 
          SIZE 16 BY 1
     eCustomer.Balance AT ROW 16 COL 14 COLON-ALIGNED WIDGET-ID 6
          VIEW-AS FILL-IN 
          SIZE 20.2 BY 1
     eCustomer.Terms AT ROW 17.14 COL 14 COLON-ALIGNED WIDGET-ID 42
          VIEW-AS FILL-IN 
          SIZE 22 BY 1
     eCustomer.Discount AT ROW 18.29 COL 14 COLON-ALIGNED WIDGET-ID 20
          VIEW-AS FILL-IN 
          SIZE 7.6 BY 1
     SPACE(48.20) SKIP(0.00)
    WITH 1 DOWN NO-BOX KEEP-TAB-ORDER OVERLAY USE-DICT-EXPS 
         SIDE-LABELS NO-UNDERLINE THREE-D NO-AUTO-VALIDATE 
         AT COL 1 ROW 1 SCROLLABLE  WIDGET-ID 100.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: SmartDataViewer
   Data Source: "schema\dsCustomer.i,eCustomer"
   Allow: Basic,DB-Fields,Smart
   Container Links: Data-Target,Update-Source,TableIO-Target,GroupAssign-Source,GroupAssign-Target
   Frames: 1
   Add Fields to: Neither
   Other Settings: PERSISTENT-ONLY COMPILE APPSERVER
   Temp-Tables and Buffers:
      TABLE: eCustomer D "?" NO-UNDO  
      ADDITIONAL-FIELDS:
          {schema\dsCustomer.i}
      END-FIELDS.
      TABLE: eSalesrep D "?" NO-UNDO  
      ADDITIONAL-FIELDS:
          {schema\dsCustomer.i}
      END-FIELDS.
   END-TABLES.
 */

/* This procedure should always be RUN PERSISTENT.  Report the error,  */
/* then cleanup and return.                                            */
IF NOT THIS-PROCEDURE:PERSISTENT THEN DO:
  MESSAGE "{&FILE-NAME} should only be RUN PERSISTENT.":U
          VIEW-AS ALERT-BOX ERROR BUTTONS OK.
  RETURN.
END.

&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW vTableWin ASSIGN
         HEIGHT             = 18.71
         WIDTH              = 76.4.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _INCLUDED-LIB vTableWin 
/* ************************* Included-Libraries *********************** */

{src/adm2/viewer.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME




/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR WINDOW vTableWin
  VISIBLE,,RUN-PERSISTENT                                               */
/* SETTINGS FOR FRAME F-Main
   NOT-VISIBLE FRAME-NAME Size-to-Fit L-To-R                            */
ASSIGN 
       FRAME F-Main:SCROLLABLE       = FALSE
       FRAME F-Main:HIDDEN           = TRUE.

/* SETTINGS FOR FILL-IN eSalesrep.Region IN FRAME F-Main
   NO-ENABLE                                                            */
/* SETTINGS FOR FILL-IN eSalesrep.SalesRep IN FRAME F-Main
   NO-ENABLE EXP-LABEL                                                  */
/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME


/* Setting information for Queries and Browse Widgets fields            */

&ANALYZE-SUSPEND _QUERY-BLOCK FRAME F-Main
/* Query rebuild information for FRAME F-Main
     _Options          = "NO-LOCK"
     _Query            is NOT OPENED
*/  /* FRAME F-Main */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK vTableWin 


/* ***************************  Main Block  *************************** */

  &IF DEFINED(UIB_IS_RUNNING) <> 0 &THEN          
    RUN initializeObject.
  &ENDIF         
  
  /************************ INTERNAL PROCEDURES ********************/

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE adm-create-objects vTableWin  _ADM-CREATE-OBJECTS
PROCEDURE adm-create-objects :
/*------------------------------------------------------------------------------
  Purpose:     Create handles for all SmartObjects used in this procedure.
               After SmartObjects are initialized, then SmartLinks are added.
  Parameters:  <none>
------------------------------------------------------------------------------*/
  DEFINE VARIABLE currentPage  AS INTEGER NO-UNDO.

  ASSIGN currentPage = getCurrentPage().

  CASE currentPage: 

    WHEN 0 THEN DO:
       RUN constructObject (
             INPUT  'adm2/dyndataview.w':U ,
             INPUT  FRAME F-Main:HANDLE ,
             INPUT  'BusinessEntityCustomerDataQueryStringFOR EACH eSalesrep BY eSalesrep.SalesRepDataSetNameCustomerDataTableeSalesrepTableseSalesrepSubmitParent?DataIsFetched?ResortOnSaveyesForeignFieldsObjectNameeSalesrepDataViewOpenOnInityesPromptColumns(NONE)PromptOnDeleteyesRowsToBatch0RebuildOnReposnoToggleDataTargetsyes':U ,
             OUTPUT h_dyndataview ).
       /* Position in AB:  ( 6.71 , 61.00 ) */
       /* Size in AB:  ( 1.86 , 10.80 ) */

       RUN constructObject (
             INPUT  'adm2/dynselect.w':U ,
             INPUT  FRAME F-Main:HANDLE ,
             INPUT  'AutoRefreshnoChangedEventDisplayedFieldeSalesrep.RepNameKeyFieldeSalesrep.SalesRepDataSourceFilterNumRows10OptionalnoOptionalString':U + '<none>' + 'Label?SortyesViewAsBrowserToolTipFormat?HelpId0BrowseTitleBrowseFieldseSalesrep.RepName,eSalesrep.SalesRep,eSalesrep.RegionExitBrowseOnActionnoCancelBrowseOnExitnoRepositionDataSourceyesDefineAnyKeyTriggeryesStartBrowseKeysFieldNameeCustomer.SalesRepDisplayFieldyesEnableFieldyesLocalFieldnoHideOnInitnoDisableOnInitnoObjectLayout':U ,
             OUTPUT h_dynselect ).
       RUN repositionObject IN h_dynselect ( 13.71 , 16.00 ) NO-ERROR.
       RUN resizeObject IN h_dynselect ( 1.00 , 30.00 ) NO-ERROR.

       /* Links to SmartDataField h_dynselect. */
       RUN addLink ( h_dyndataview , 'Data':U , h_dynselect ).

       /* Adjust the tab order of the smart objects. */
       RUN adjustTabOrder ( h_dynselect ,
             eCustomer.EmailAddress:HANDLE IN FRAME F-Main , 'AFTER':U ).
    END. /* Page 0 */

  END CASE.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI vTableWin  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Hide all frames. */
  HIDE FRAME F-Main.
  IF THIS-PROCEDURE:PERSISTENT THEN DELETE PROCEDURE THIS-PROCEDURE.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

