 /* Include file etCustomer.i */
 DEFINE TEMP-TABLE eCustomer no-undo BEFORE-TABLE eCustomerBefore
   FIELD CustNum AS INTEGER LABEL "Cust Num" FORMAT ">>>>9" INITIAL "0"
   FIELD Country AS CHARACTER LABEL "Country" FORMAT "x(20)" INITIAL "USA"
   FIELD Name AS CHARACTER LABEL "Name" FORMAT "x(30)"
   FIELD Address AS CHARACTER LABEL "Address" FORMAT "x(35)"
   FIELD Address2 AS CHARACTER LABEL "Address2" FORMAT "x(35)"
   FIELD City AS CHARACTER LABEL "City" FORMAT "x(25)"
   FIELD State AS CHARACTER LABEL "State" FORMAT "x(20)"
   FIELD PostalCode AS CHARACTER LABEL "Postal Code" FORMAT "x(10)"
   FIELD Contact AS CHARACTER LABEL "Contact" FORMAT "x(30)"
   FIELD Phone AS CHARACTER LABEL "Phone" FORMAT "x(20)"
   FIELD SalesRep AS CHARACTER LABEL "Sales Rep" FORMAT "x(4)"
   FIELD CreditLimit AS DECIMAL LABEL "Credit Limit" FORMAT "->,>>>,>>9" INITIAL "1500" DECIMALS 2
   FIELD Balance AS DECIMAL LABEL "Balance" FORMAT "->,>>>,>>9.99" INITIAL "0" DECIMALS 2
   FIELD Terms AS CHARACTER LABEL "Terms" FORMAT "x(20)" INITIAL "Net30"
   FIELD Discount AS INTEGER LABEL "Discount" FORMAT ">>9%" INITIAL "0"
   FIELD Comments AS CHARACTER LABEL "Comments" FORMAT "x(80)"
   FIELD Fax AS CHARACTER LABEL "Fax" FORMAT "x(20)"
   FIELD EmailAddress AS CHARACTER LABEL "Email" FORMAT "x(50)"
      INDEX CustNum IS PRIMARY UNIQUE custnum
      INDEX Custname NAME   . 
