/*************************************************************/
/* Copyright (c) 2007 by Progress Software Corporation      */
/*************************************************************/
/*------------------------------------------------------------------------------
    File   :   savechanges.p
    Purpose:  Save Business Entity changes on an appserver. (service gateway)  
    Notes  : 
   Parameters:  
     pcEntity       - Business Entity 
     pcContext      - context
     phDataSet      - Prodataset handle 
 -----------------------------------------------------------------------------*/
define input        parameter pcEntity       as character no-undo.
define input-output parameter dataset-handle phDataSet .

define variable ghService as handle no-undo.
 
 /* defines locateProcedure used by getService to start/locate service */
{support/locateprocedure.i}
/* ************************  Function Prototypes ********************** */

function getService returns handle private 
  (  )  forward .

/*************************** Main block **************************/

run saveChanges in getService() (pcEntity,
                                 input-output phDataset) no-error.
if error-status:error then 
 return error if return-value > '' then return-value else error-status:get-message(1).
 
run stopEntity in getService() (pcEntity).                                    
 
/* ************************  Function Implementations ***************** */
/* get service locates it on first call  */
function getService returns handle private 
  (  ):
  if not valid-handle(ghService) then 
    ghService = locateProcedure('service').
  return ghService. 
end.

