/*------------------------------------------------------------------------------
 File        : daOrder order data access   
 Description : Example/prototype code with all static and no super code
 Notes       :  
 ------------------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
/* defines dataset include and loads daSupport as super */ 
{support/daEntity.i Customer} 

define data-source dCustomer for Customer.
define data-source dSalesrep for Salesrep.
 
/* ************ Functions ****************************************/           

function sourceDefaultQuery returns character  
  (pcTable as char):
  case pcTable:
    when 'eCustomer' then 
      return 'for each customer indexed-reposition'.
  end.    
end.

function sourceColumn returns character  
  (pcTable as char, 
   pcColumn as char ):
  define variable cMap  as character no-undo.
  case pcTable:
    when 'eCustomer' then
    do: 
      cMap = data-source dCustomer:get-dataset-buffer:data-source-complete-map.
    end.  
  end.
  return entry(lookup(pccolumn,cMap) + 1,cMap).
end.

   
/* ************ Procedures ****************************************/        
procedure attachDataSources:
  define input-output parameter dataset for dsCustomer.
 /* this should probably be handled elsewhere typically not an issue on a server 
    but this test is being run with local connection */
  temp-table eCustomer:tracking-changes = false. 
  buffer eCustomer:attach-data-source(data-source dCustomer:handle).        
  buffer eSalesrep:attach-data-source(data-source dSalesrep:handle).  
end.   

       